
#define TSOneWire_N 4	// Fuer maximal N Temperaturfuehler an einem Draht
#define SERNUMLEN 8
#define BULEN 9

#ifndef __heimath_h__
#include <heimath.h>
#endif

class TSOneWire 
	{
private:
//	static u32 reset_dt1 ;
//	static u32 reset_dt2 ;
//	static u32 dtick0 ;
//	static u8 bitsgelesen ;	// Anzahl der gelesenen Bits von Reset() bis fehler != 0 
//	static u8 ident[SERNUMLEN] ;

public:
	static u8 bu[BULEN];
	static u8 bus[SERNUMLEN];
	static PGM_P fehler ;		// Fehler - String. Zeigt auf Programmspeicher
	static u8 sernum[TSOneWire_N][SERNUMLEN];
	static 	CRC8	crc8;
public:
	static void Reset(void);	// Fehlerkennung fehler=0, Elektronisches anstarten
	static void Schreibe0(void);	// Schreibe ein einzelnes 0-Bit
	static void Schreibe1(void);	// Schreibe ein einzelnes 1-Bit
	static u8 Lese(void);		// Hole 
	static u8 Hole8Bits(void);
	static void HoleNBytes(u8 *p,u8 n);
	static void Sende8Bits(u8 b);
	static void Sende8Bytes(u8 *p);
	static void SelectROM( u8 Kanal);
	static s16 Temperatur(u8 Kanal);	// Hole einen Temperaturwert
	} ;

// EEprom-Adressen
#define TSOneWire_EEPROM_ADR 16
#define TSOneWire_EEPROM_LNG (TSOneWire_N*SERNUMLEN)
